Cantera 2.6.0

Namespaces | Macros | Functions
DAE_solvers.cpp File Reference

Factory routine for picking the DAE solver package. More...

`#include "cantera/base/ct_defs.h"`
`#include "cantera/numerics/DAE_Solver.h"`
`#include "cantera/numerics/IDA_Solver.h"`
Include dependency graph for DAE_solvers.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
DAE_Solver * | newDAE_Solver (const std::string &itype, ResidJacEval &f)
| Factor method for choosing a DAE solver. More...

## Detailed Description

Factory routine for picking the DAE solver package.

Definition in file DAE_solvers.cpp.

## Macro Definition Documentation

## ◆ DAE_DEVEL

#define DAE_DEVEL

Definition at line 11 of file DAE_solvers.cpp.